Subject: Re: [PATCH regression/bisected] Revert "brcmsmac: support 4313iPA"

From: "Piotr Haber" <[email-masked]>
Date: Mon, 18 Mar 2013 14:49:57 +0100

On 03/18/13 11:45, David Herrmann wrote:
> This reverts commit b6fc28a158076ca2764edc9a6d1e1402f56e1c0c. It breaks
> wireless AP reconnection on: (14e4:4727)
>   Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller
> 
> Any attempt to reconnect to an AP results in timeouts no matter how near to the
> AP I am:
>  00:10:40 $nb kernel: wlan0: authenticate with 00:18:39:0a:8e:23
>  00:10:40 $nb kernel: wlan0: direct probe to 00:18:39:0a:8e:23 (try 1/3)
>  00:10:40 $nb kernel: wlan0: direct probe to 00:18:39:0a:8e:23 (try 2/3)
>  00:10:41 $nb kernel: wlan0: direct probe to 00:18:39:0a:8e:23 (try 3/3)
>  00:10:41 $nb kernel: wlan0: authentication with 00:18:39:0a:8e:23 timed out
> ---
> Hi
> 
> I tried coming up with a fix instead of reverting this commit, but the commit is
> way to big for me to understand what's going on. Sorry.
> 
> With linux-3.8 connecting to an AP broke on my machine. I could connect to an AP
> one time, but any further attempt resulted in:
>  00:10:40 $nb kernel: wlan0: authenticate with 00:18:39:0a:8e:23
>  00:10:40 $nb kernel: wlan0: direct probe to 00:18:39:0a:8e:23 (try 1/3)
>  00:10:40 $nb kernel: wlan0: direct probe to 00:18:39:0a:8e:23 (try 2/3)
>  00:10:41 $nb kernel: wlan0: direct probe to 00:18:39:0a:8e:23 (try 3/3)
>  00:10:41 $nb kernel: wlan0: authentication with 00:18:39:0a:8e:23 timed out
> 
> Even sitting right next to the AP didn't help so I started bisecting and it
> turned out to be:
>   "brcmsmac: support 4313iPA" b6fc28a158076ca2764edc9a6d1e1402f56e1c0c
> Please revert it.
> 
> Thanks
> David
> 
Hi,
unfortunately this is not a first report of this patch breaking 4313 for some users.
I'm pretty confident that it is hardware revision related as we have 4313ePA and iPA boards running
successfully in our test setup.
Could you aid us in effort of finding the problem by supplying the contents of this debugfs file:
<debugfs_mount>/brcmsmac/bcma0:0/hardware

Piotr